﻿using System.Web.Mvc;

namespace SimpleTheme.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public ActionResult Config(string theme = "default", string style = "default")
        {
            var themeCookie = Request.Cookies["theme"]; themeCookie.Value = theme;
            Response.SetCookie(themeCookie);
            var styleCookie = Request.Cookies["style"]; styleCookie.Value = style;
            Response.SetCookie(styleCookie);
            return RedirectToAction("Index");
        }
    }
}